Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils.resolver
Class ResourceResolver

    java.lang.Object
      org.apache.xml.security.utils.resolver.ResourceResolver

    public class ResourceResolver

extends java.lang.Object

During reference validation, we have to retrieve resources from somewhere. This is done by retrieving a Resolver. The resolver needs two arguments: The URI in which the link to the new resource is defined and the baseURI of the file/entity in which the URI occurs (the baseURI is the same as the SystemId).

Constructor Summary
`ResourceResolver(ResourceResolverSpi resourceResolver)` Constructor ResourceResolver

Method Summary
`void` | `addProperties(java.util.Map<java.lang.String,java.lang.String> properties)` Method addProperties
`static ResourceResolver` | `getInstance(org.w3c.dom.Attr uri, java.lang.String baseURI)` Method getInstance
`static ResourceResolver` | `getInstance(org.w3c.dom.Attr uriAttr, java.lang.String baseURI, boolean secureValidation)` Method getInstance
`static ResourceResolver` | `getInstance(org.w3c.dom.Attr uri, java.lang.String baseURI, java.util.List<ResourceResolver> individualResolvers)` Method getInstance
`static ResourceResolver` | `getInstance(org.w3c.dom.Attr uri, java.lang.String baseURI, java.util.List<ResourceResolver> individualResolvers, boolean secureValidation)` Method getInstance
`java.lang.String` | `getProperty(java.lang.String key)` Method getProperty
`java.lang.String[]` | `getPropertyKeys()` Method getPropertyKeys
`static void` | `register(java.lang.Class<? extends ResourceResolverSpi> className, boolean start)` Registers a ResourceResolverSpi class.
`static void` | `register(ResourceResolverSpi resourceResolverSpi, boolean start)` Registers a ResourceResolverSpi instance.
`static void` | `register(java.lang.String className)` Registers a ResourceResolverSpi class.
`static void` | `registerAtStart(java.lang.String className)` Registers a ResourceResolverSpi class at the beginning of the provider list.
`static void` | `registerDefaultResolvers()` This method registers the default resolvers.
`XMLSignatureInput` | `resolve(org.w3c.dom.Attr uri, java.lang.String baseURI)` Deprecated. New clients should use `resolve(Attr, String, boolean)`
`XMLSignatureInput` | `resolve(org.w3c.dom.Attr uri, java.lang.String baseURI, boolean secureValidation)` Method resolve
`void` | `setProperty(java.lang.String key, java.lang.String value)` Method setProperty
`boolean` | `understandsProperty(java.lang.String propertyToTest)` Method understandsProperty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceResolver

    public ResourceResolver(ResourceResolverSpi resourceResolver)

  Constructor ResourceResolver

  Parameters:
    `resourceResolver` -

Method Detail

### getInstance

    public static final ResourceResolver getInstance(org.w3c.dom.Attr uri,
                                                     java.lang.String baseURI)
                                              throws ResourceResolverException

  Method getInstance

  Parameters:
    `uri` -
    `baseURI` -
  Returns:
    the instance
  Throws:
    `ResourceResolverException`

### getInstance

    public static final ResourceResolver getInstance(org.w3c.dom.Attr uriAttr,
                                                     java.lang.String baseURI,
                                                     boolean secureValidation)
                                              throws ResourceResolverException

  Method getInstance

  Parameters:
    `uri` -
    `baseURI` -
    `secureValidation` -
  Returns:
    the instance
  Throws:
    `ResourceResolverException`

### getInstance

    public static ResourceResolver getInstance(org.w3c.dom.Attr uri,
                                               java.lang.String baseURI,
                                               java.util.List<ResourceResolver> individualResolvers)
                                        throws ResourceResolverException

  Method getInstance

  Parameters:
    `uri` -
    `baseURI` -
    `individualResolvers` -
  Returns:
    the instance
  Throws:
    `ResourceResolverException`

### getInstance

    public static ResourceResolver getInstance(org.w3c.dom.Attr uri,
                                               java.lang.String baseURI,
                                               java.util.List<ResourceResolver> individualResolvers,
                                               boolean secureValidation)
                                        throws ResourceResolverException

  Method getInstance

  Parameters:
    `uri` -
    `baseURI` -
    `individualResolvers` -
    `secureValidation` -
  Returns:
    the instance
  Throws:
    `ResourceResolverException`

### register

    public static void register(java.lang.String className)

  Registers a ResourceResolverSpi class. This method logs a warning if the class cannot be registered.

  Parameters:
    `className` - the name of the ResourceResolverSpi class to be registered

### registerAtStart

    public static void registerAtStart(java.lang.String className)

  Registers a ResourceResolverSpi class at the beginning of the provider list. This method logs a warning if the class cannot be registered.

  Parameters:
    `className` - the name of the ResourceResolverSpi class to be registered

### register

    public static void register(java.lang.Class<? extends ResourceResolverSpi> className,
                                boolean start)

  Registers a ResourceResolverSpi class. This method logs a warning if the class cannot be registered.

  Parameters:
    `className` -
    `start` -

### register

    public static void register(ResourceResolverSpi resourceResolverSpi,
                                boolean start)

  Registers a ResourceResolverSpi instance. This method logs a warning if the class cannot be registered.

  Parameters:
    `resourceResolverSpi` -
    `start` -

### registerDefaultResolvers

    public static void registerDefaultResolvers()

  This method registers the default resolvers.

### resolve

    public XMLSignatureInput resolve(org.w3c.dom.Attr uri,
                                     java.lang.String baseURI)
                              throws ResourceResolverException

  Deprecated. New clients should use `resolve(Attr, String, boolean)`

  Throws:
    `ResourceResolverException`

### resolve

    public XMLSignatureInput resolve(org.w3c.dom.Attr uri,
                                     java.lang.String baseURI,
                                     boolean secureValidation)
                              throws ResourceResolverException

  Method resolve

  Parameters:
    `uri` -
    `baseURI` -
  Returns:
    the resource
  Throws:
    `ResourceResolverException`

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  Method setProperty

  Parameters:
    `key` -
    `value` -

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Method getProperty

  Parameters:
    `key` -
  Returns:
    the value of the property

### addProperties

    public void addProperties(java.util.Map<java.lang.String,java.lang.String> properties)

  Method addProperties

  Parameters:
    `properties` -

### getPropertyKeys

    public java.lang.String[] getPropertyKeys()

  Method getPropertyKeys

  Returns:
    all property keys.

### understandsProperty

    public boolean understandsProperty(java.lang.String propertyToTest)

  Method understandsProperty

  Parameters:
    `propertyToTest` -
  Returns:
    true if the resolver understands the property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD